Results 1 to 5 of 5

Thread: Missing shared library for Openldap (FreeBSD Installation)

  1. #1
    Join Date
    Mar 2010
    Posts
    3
    Rep Power
    5

    Default Missing shared library for Openldap (FreeBSD Installation)

    Hey,

    I installed zimbra 6.0.1 from the binary, after running the configuration script I cannot start zimbra. Openldap complains it about libltdl.so.7.

    Code:
    Host keryx.cpwgroup.net
            Starting ldap...Done.
    Failed.
    /libexec/ld-elf.so.1: Shared object "libltdl.so.7" not found, required by "slapd"
    /libexec/ld-elf.so.1: Shared object "libltdl.so.7" not found, required by "slapd"
    /libexec/ld-elf.so.1: Shared object "libltdl.so.7" not found, required by "slapd"
    /libexec/ld-elf.so.1: Shared object "libltdl.so.7" not found, required by "slapd"
    /libexec/ld-elf.so.1: Shared object "libltdl.so.7" not found, required by "slapd"
    /libexec/ld-elf.so.1: Shared object "libltdl.so.7" not found, required by "slapd"
    /libexec/ld-elf.so.1: Shared object "libltdl.so.7" not found, required by "slapd"
    Failed to start slapd.  Attempting debug start to determine error.
    how can I install this shared library? I was thinking of building openldap-2.4.21 from the ports collection and copy the lib to the right place.
    I don't want to have to do that though. Is there an easier way?

  2. #2
    Join Date
    Jan 2006
    Posts
    81
    Rep Power
    9

    Default

    What version of freebsd? Do you have another version of libltdl.so on your system?
    Jacob Turner
    Ringnebula Systems - Ukiah, CA

  3. #3
    Join Date
    Mar 2010
    Posts
    3
    Rep Power
    5

    Default

    Quote Originally Posted by ringnebula View Post
    What version of freebsd? Do you have another version of libltdl.so on your system?
    7.2-RELEASE FreeBSD. I have libltdl.so.4

    I think, I need to install libtool 2.2.6. but I would need to cvsup from 7.3 to get that from ports. not sure what the best course of action is in this particular situation. I appreciate the help its saving me time.

  4. #4
    Join Date
    Apr 2009
    Location
    Bratislava, Slovakia
    Posts
    93
    Rep Power
    6

    Default

    bah, why 6.0.1 anyway? 6.0.5 is way better. i guess i will have to start providing 7.x binaries as well..
    and if someone *actually* asks me directly (hint: email/skype/icq) i will gladly help!
    i watch only the main freebsd thread . time to update wiki..

    yes, new libtool is required as all my binaries are always compiled with/linked against latest ports:
    solko@[zmail /home/solko] > ldconfig -r | grep ltdl
    125:-lltdl.7 => /usr/local/lib/libltdl.so.7
    solko@[zmail /home/solko] > pkg_info | grep libtool
    libtool-2.2.6a_1 Generic shared library support script

  5. #5
    Join Date
    Mar 2010
    Posts
    3
    Rep Power
    5

    Default

    My ports tree must have been messed up because I updated before hand. I'm thinking of scraping the BSD box and going ubuntu or debian, I don't want to run in to problems in the future with upgrades and such.

Similar Threads

  1. [SOLVED] 5.0.11 -> 5.0.12 Upgrade failed (SSLeay.so)
    By bards1888 in forum Installation
    Replies: 30
    Last Post: 04-26-2010, 07:56 AM
  2. Zimbra fails after working for 2 weeks
    By Linsys in forum Administrators
    Replies: 10
    Last Post: 10-07-2008, 12:42 AM
  3. Zimbra OSS 4.5.11 Re-install
    By newmember in forum Installation
    Replies: 0
    Last Post: 09-09-2008, 10:26 PM
  4. 4.5.11 to 5.06 Migration Suggestion
    By newmember in forum Migration
    Replies: 15
    Last Post: 09-02-2008, 06:59 PM
  5. Traslation SVN tree status
    By meikka in forum I18N/L10N - Translations
    Replies: 7
    Last Post: 02-13-2007, 10:13 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •